version: '3'
services:
  app:
    container_name: todo_app
    build: .
    ports:
      - "8080:8080"
    env_file: .env
    environment:
      - MONGO_HOSTNAME=$MONGO_HOSTNAME
      - MONGO_PORT=$MONGO_PORT
      - MONGO_DB=$MONGO_DB 
    command: ./wait-for.sh mongodb:27017 -- /usr/src/app/node_modules/.bin/nodemon app.js 
    depends_on: 
      - mongodb
  
  mongodb:
    container_name: mongodb
    image: 'mongo'
    volumes:
      - data:/data/db

volumes:
  data:
